<!doctype html>
<title>ЯПрофи 2021 | Робототехника</title>
<link href="https://fonts.googleapis.com/css?family=Roboto" rel="stylesheet">
<link rel="stylesheet" href="{{ static_url("style.css") }}" type="text/css">

<link rel="shortcut icon" href="{{ static_url('favicon.ico') }}">

<body>

  <script src="{{ static_url("transport.js") }}" type="text/javascript"></script>

  <header>
      <div align="center", style="width:100%">
          <p></p>
      </div>
  </header>

  <main>

      <div align="center", style="width:100%">

          <div id="unauthorized_ctr">
            <input type="text" id="user_id" oninput="on_user_id_change()" name="user_id" placeholder="Идентификатор участника">
          </div>

          <div id="ready_ctr">
              <!-- <button id="ready_button" onclick="changeVisibility()" class="button_simple">Отправить решение на проверку</button> -->
            <input type="button" value="Отправить решение на проверку" id="ready_button" onclick="start_test()" class="ready_button">
          </div>

          <div id="in_queue_ctr">
            <input type="button" value="Отменить" id="cancel_button" onclick="cancel_test()" class="cancel_button">
            <div id="in_queue_info" align="left" class="right_column"></div>
          </div>

          <div id="testing_ctr">
            <div id="testing_info" align="center" class="warn">Решение проверяется...</div>
          </div>

          <div id="await_ctr">
            <div id="await_info" align="center" class="warn"></div>
          </div>

      </div>

  </main>

  <results id="results">
      <div class="results" style="width:99%">
          <div id="result_table"></div>
      </div>
  </results>

  <footer>

    <div align="center", style="width:100%">
        <a href="https://t.me/iprofirob" style="text-decoration:none">
            <img src="{{ static_url('telegram.png') }}" alt="telegram " border = "0" height="22px"/>
        </a>
        <a href="mailto:be2rlab@gmail.com" style="text-decoration:none">
            <img src="{{ static_url('email.png') }}" alt="email " border = "0" height="22px"/>
        </a>
        <a href="https://gitlab.com/beerlab/iprofi2021" style="text-decoration:none">
            <img src="{{ static_url('gitlab.png') }}" alt="gitlab " border = "0" height="22px"/>
        </a>
    </div>

  </footer>

  <script>unauthorized_state();</script>


</body>
